[![KendoReact NPM Banner](https://raw.githubusercontent.com/telerik/kendo-react/master/images/kendoreact-github-banner.png)](https://www.telerik.com/kendo-react-ui/components/free?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview&utm_content=banner)

# KendoReact TreeView Component for React

> **Important**
>
> -   This package is а part of [KendoReact](https://www.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;an enterprise-grade UI library with 120+ free and premium components.
> -   It provides a premium KendoReact component. You will need to install a license key when adding the package to your project. For more information, please refer to the [KendoReact My License page](https://www.telerik.com/kendo-react-ui/components/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview).
> -   To receive a license key, you need to either [purchase a license](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview) or register for a [free trial](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview). Doing so indicates that you [accept the KendoReact License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview).
> - The 30-day free trial gives you access to all KendoReact components and their full functionality. Additionally, for the period of your trial, you can use our legendary technical support provided directly by the KendoReact dev team!
>
> [Start using KendoReact](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview) and speed up your development process!
>
> If you're looking for free React components, check out [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free).

The [React TreeView](https://www.telerik.com/kendo-react-ui/treeview), part of KendoReact, displays hierarchical data in a traditional tree structure, supports user interaction through mouse or touch events, and performs reordering operations by using the drag-and-drop functionality.

## React TreeView

Among the features which the KendoReact TreeView component delivers are:

-   [Data binding](https://www.telerik.com/kendo-react-ui/components/treeview/data-binding/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;Works with various types of data.
-   [Persisting the focus](https://www.telerik.com/kendo-react-ui/components/treeview/data-reload/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;The TreeView enables you to keep the focus on the currently focused item while reloading the data.
-   [Expanding](https://www.telerik.com/kendo-react-ui/components/treeview/expansion/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;The Allows expanding and collapsing items in the data tree.
-   [Selection](https://www.telerik.com/kendo-react-ui/components/treeview/selection/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;The Allows selecting items in the data tree.
-   [Checkboxes](https://www.telerik.com/kendo-react-ui/components/treeview/checkboxes/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;Allows the user to select nodes by using node checkboxes.
-   [Dragging and dropping](https://www.telerik.com/kendo-react-ui/components/treeview/drag-drop/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;The drag-and-drop functionality enables the user to move the TreeView items by dragging and dropping them within a single tree or across multiple trees.
-   [Custom rendering](https://www.telerik.com/kendo-react-ui/components/treeview/custom-rendering/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;Allows customization of certain or all TreeView nodes.
-   [Keyboard navigation](https://www.telerik.com/kendo-react-ui/components/treeview/keyboard-navigation/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;Built-in keyboard shortcuts for usability and navigation in the component.
-   [Accessibility](https://www.telerik.com/kendo-react-ui/components/treeview/accessibility/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;The TreeView is accessible by screen readers and provides full WAI-ARIA support.
-   [Theme support](https://www.telerik.com/kendo-react-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)&mdash;The KendoReact TreeView, as well as all 100+ components in the KendoReact suite, are styled in three polished themes (Bootstrap, Material, and Default) and can be further customized to match your specific design guidelines.

## Support Options

For any issues you might encounter while working with the KendoReact TreeView, use any of the available support channels:

-   Industry-leading technical support&mdash;KendoReact paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated KendoReact support system](https://www.telerik.com/account/support-center/contact-us/technical-support?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview).
-   Product forums&mdash;The [KendoReact forums](https://www.telerik.com/forums/kendo-ui-react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview) are part of the free support you can get from the community and from the KendoReact team.
-   Feedback portal&mdash;The [KendoReact feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview) is where you can request and vote for new features to be added.

## Resources

-   [Getting Started with KendoReact](https://www.telerik.com/kendo-react-ui/components/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)
-   [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free)
-   [Get Started with the KendoReact TreeView](https://www.telerik.com/kendo-react-ui/components/treeview/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)
-   [API Reference of the KendoReact TreeView](https://www.telerik.com/kendo-react-ui/components/treeview/api/TreeViewProps/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)
-   [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)
-   [Blogs](https://www.telerik.com/blogs/tag/kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)
-   [Demos, documentation, and component reference](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)
-   [KendoReact pricing and licensing](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)
-   [Changelog](https://www.telerik.com/kendo-react-ui/components/changelogs/ui-for-react/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-treeview)

High-level component overview pages

-   [React TreeView Component](https://www.telerik.com/kendo-react-ui/treeview)

_Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
